Bug 18993 - Bump libtest-simple-perl to 1.302073
Summary: Bump libtest-simple-perl to 1.302073
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18055 18979
  Show dependency treegraph
 
Reported: 2017-07-27 16:00 UTC by Mason James
Modified: 2017-12-07 14:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18993 - Bump libtest-simple-perl to 1.302075 (1.45 KB, patch)
2017-07-27 16:03 UTC, Mason James
Details | Diff | Splinter Review
Bug 18993 - Bump libtest-simple-perl to 1.302075 (1.37 KB, patch)
2017-07-31 09:06 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 18993 - Bump libtest-simple-perl to 1.302075 (1.46 KB, patch)
2017-07-31 10:36 UTC, Mason James
Details | Diff | Splinter Review
Bug 18993: Bump Test::More to 1.302075 (775 bytes, patch)
2017-10-03 15:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18993: Allow Test::More version 1.302073 (1.85 KB, patch)
2017-11-16 07:49 UTC, Mason James
Details | Diff | Splinter Review
Bug 18993 - Bump libtest-simple-perl to 1.302075 (1.49 KB, patch)
2017-11-16 08:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18993: Bump Test::More to 1.302075 (835 bytes, patch)
2017-11-16 08:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18993: Allow Test::More version 1.302073 (1.89 KB, patch)
2017-11-16 08:43 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2017-07-27 16:00:27 UTC
This is needed for bugs 18055 and 18979
Comment 1 Mason James 2017-07-27 16:02:27 UTC
Mirko, can you do this one please?
Comment 2 Mason James 2017-07-27 16:03:48 UTC
Created attachment 65296 [details] [review]
Bug 18993 - Bump libtest-simple-perl to 1.302075
Comment 3 Mirko Tietgen 2017-07-31 08:24:14 UTC
I have backported libtest-simple-perl 1.302075-2 from Debian Unstable and uploaded it to all repositories. Version in Debian Jessie was only 1.001008-1.
Comment 4 Mirko Tietgen 2017-07-31 09:06:33 UTC
Created attachment 65331 [details] [review]
Bug 18993 - Bump libtest-simple-perl to 1.302075
Comment 5 Mirko Tietgen 2017-07-31 09:07:00 UTC
Perl core has a sufficient version in v5.25.8

> corelist -a Test::Simple
> […]
> v5.25.8    1.302073

For Debian that means perl-modules-5.26 will be the first alternative to libtest-simple-perl 1.302075. This should be reflected in debian/control(.in)
Comment 6 Mirko Tietgen 2017-07-31 09:44:19 UTC
> > v5.25.8    1.302073

Obviously the version is lower … my bad.
Comment 7 Mason James 2017-07-31 10:36:49 UTC
Created attachment 65333 [details] [review]
Bug 18993 - Bump libtest-simple-perl to 1.302075

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 8 Mason James 2017-07-31 10:38:00 UTC
(In reply to Mason James from comment #7)
> Created attachment 65333 [details] [review] [review]
> Bug 18993 - Bump libtest-simple-perl to 1.302075
> 
> Signed-off-by: Mason James <mtj@kohaaloha.com>

looks good Mirko, thanks!
Comment 9 Marcel de Rooy 2017-08-25 08:08:53 UTC
    'Test::More' => {
        'usage'    => 'Core',
        'required' => '1',
        'min_ver'  => '0.8'
    },

Shouldn't we upgrade the min_ver for this one here too ?

Needs feedback
Comment 10 Jonathan Druart 2017-08-31 15:27:34 UTC
Marcel, I do not understand. This bug report is about Test::Simple.
0.8 is old instead, but why do we need to fix it now?
Comment 11 Mason James 2017-09-03 09:15:30 UTC
(In reply to Marcel de Rooy from comment #9)
>     'Test::More' => {
>         'usage'    => 'Core',
>         'required' => '1',
>         'min_ver'  => '0.8'
>     },
> 
> Shouldn't we upgrade the min_ver for this one here too ?
> 
> Needs feedback

hi Marcel, the short answer is no 

Test::Simple has no dependency on Test::More, therefore there is no need to upgrade Test::More

 https://packages.debian.org/jessie/libtest-simple-perl
 https://packages.debian.org/stretch/libtest-simple-perl

..does that make sense?
Comment 12 Marcel de Rooy 2017-09-04 06:23:08 UTC
(In reply to Mason James from comment #11)
> (In reply to Marcel de Rooy from comment #9)
> >     'Test::More' => {
> >         'usage'    => 'Core',
> >         'required' => '1',
> >         'min_ver'  => '0.8'
> >     },
> > 
> > Shouldn't we upgrade the min_ver for this one here too ?
> > 
> > Needs feedback
> 
> hi Marcel, the short answer is no 
> 
> Test::Simple has no dependency on Test::More, therefore there is no need to
> upgrade Test::More
> 
>  https://packages.debian.org/jessie/libtest-simple-perl
>  https://packages.debian.org/stretch/libtest-simple-perl
> 
> ..does that make sense?

Hey MJ,
When I follow that link, I see that libtest-simple-perl includes Test::More !

Marcel
Comment 13 Jonathan Druart 2017-10-03 15:37:36 UTC
Created attachment 67563 [details] [review]
Bug 18993: Bump Test::More to 1.302075
Comment 14 Jonathan Druart 2017-10-03 15:37:59 UTC
So, moving on now?
Comment 15 Mason James 2017-10-04 01:12:26 UTC
(In reply to Jonathan Druart from comment #14)
> So, moving on now?

yes, looks good :)
Comment 16 Julian Maurice 2017-10-27 13:50:32 UTC
(In reply to Mirko Tietgen from comment #6)
> > > v5.25.8    1.302073
> 
> Obviously the version is lower … my bad.

The patch still references perl-modules-5.26 as an alternative to libtest-simple-perl. Shouldn't it be removed ?
If 1.302073 is ok I think we should use that version in PerlDependencies.pm and debian/control
Comment 17 Nick Clemens 2017-11-13 16:28:33 UTC
Failing for comment 16
Comment 18 Mason James 2017-11-16 07:41:30 UTC
(In reply to Julian Maurice from comment #16)
> (In reply to Mirko Tietgen from comment #6)
> > > > v5.25.8    1.302073
> > 
> > Obviously the version is lower … my bad.
> 
> The patch still references perl-modules-5.26 as an alternative to
> libtest-simple-perl. Shouldn't it be removed ?
> If 1.302073 is ok I think we should use that version in PerlDependencies.pm
> and debian/control

good news.. the tests PASS with 1.302073

i'll add a patch with the correction
Comment 19 Mason James 2017-11-16 07:49:32 UTC
Created attachment 69173 [details] [review]
Bug 18993: Allow Test::More version 1.302073
Comment 20 Mason James 2017-11-16 07:55:00 UTC
setting to status back to SO?

good spotting Julian!
Comment 21 Julian Maurice 2017-11-16 08:42:30 UTC
libtest-simple-perl is listed twice in Build-Depends (debian/control), the first without version constraint (comes from __AUTODEPENDS__).
This is probably nothing but maybe lintian will complain about that.

But it's already like that in master, so this will not prevent QA.
Comment 22 Julian Maurice 2017-11-16 08:43:27 UTC
Created attachment 69175 [details] [review]
Bug 18993 - Bump libtest-simple-perl to 1.302075

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 23 Julian Maurice 2017-11-16 08:43:31 UTC
Created attachment 69176 [details] [review]
Bug 18993: Bump Test::More to 1.302075

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 24 Julian Maurice 2017-11-16 08:43:35 UTC
Created attachment 69177 [details] [review]
Bug 18993: Allow Test::More version 1.302073

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 25 Marcel de Rooy 2017-11-27 13:12:28 UTC
What is the current status here? This seems to be needed for two bugs which are blocked/in discussion..
Comment 26 Julian Maurice 2017-11-27 13:14:46 UTC
Ah I forgot to change status to Passed QA.
Fixed! Thanks Marcel
Comment 27 Jonathan Druart 2017-12-07 14:24:52 UTC
Pushed to master for 18.05, thanks to everybody involved!